aboutsummaryrefslogtreecommitdiff
path: root/pbuilder-user-mode-linux
diff options
context:
space:
mode:
authordancer <dancer>2003-11-16 14:27:54 +0000
committerdancer <dancer>2003-11-16 14:27:54 +0000
commitb155db122100ed48bef0d7df0e8b0a9904a46a10 (patch)
tree6de43c6ba15d85237a6c40a76a443b5fe94c98cb /pbuilder-user-mode-linux
parent3f601af76ce4c2f3dc0bfa3036f94e0ab26a02af (diff)
downloadpbuilder-b155db122100ed48bef0d7df0e8b0a9904a46a10.tar
pbuilder-b155db122100ed48bef0d7df0e8b0a9904a46a10.tar.gz
+ * pbuilder-user-mode-linux: preen fsck.
+ comment out fsck bit, it's too slow. +
Diffstat (limited to 'pbuilder-user-mode-linux')
-rwxr-xr-xpbuilder-user-mode-linux9
1 files changed, 4 insertions, 5 deletions
diff --git a/pbuilder-user-mode-linux b/pbuilder-user-mode-linux
index 623c39d..253fd09 100755
--- a/pbuilder-user-mode-linux
+++ b/pbuilder-user-mode-linux
@@ -64,9 +64,9 @@ ${UML_DEBUGMODE}
mount -t proc /proc /proc
mount -t tmpfs /tmp /tmp
-if ! fsck /dev/ubd/1; then
- echo "W: Failed to fsck /dev/ubd/1"
-fi
+#if ! fsck -p /dev/ubd/1; then
+# echo "W: Failed to fsck /dev/ubd/1"
+#fi
if ! mount -t ext2 /dev/ubd/1 ${UML_CHROOT_MOUNTPOINT}; then
echo "E: Cannot mount /dev/ubd/1, is UML root image accessible as current user?"
exit 1
@@ -248,9 +248,8 @@ while [ -n "$1" ] ; do
esac
done
-
if ! touch "${BUILDPLACE}/touch" ; then
- echo "E: Cannot touch ${BUILDPLACE}/touch, check BUILDPLACE" >&2
+ echo "E: Cannot touch BUILDPLACE/touch, check BUILDPLACE" >&2
exit 1
fi